# Poco

# template < class TKey, class TValue >

# class ExpireLRUCache

Library: Foundation
Package: Cache
Header: Poco/ExpireLRUCache.h

## Description

An ExpireLRUCache combines LRU caching and time based expire caching. It cache entries for a fixed time period (per default 10 minutes) but also limits the size of the cache (per default: 1024).

## Inheritance

Direct Base Classes: AbstractCache < TKey, TValue, StrategyCollection < TKey, TValue > >

All Base Classes: AbstractCache < TKey, TValue, StrategyCollection < TKey, TValue > >

## Constructors

### ExpireLRUCache

ExpireLRUCache(
long cacheSize = 1024,
Timestamp::TimeDiff expire = 600000
);

## Destructor

### ~ExpireLRUCache

~ExpireLRUCache();